streaming-commons-0.2.3.1: Common lower-level functions needed by various streaming data libraries

Safe Haskell | Safe-Inferred
Language | Haskell2010

Data.Streaming.Process.Internal

Synopsis

- data StreamingProcessHandle = StreamingProcessHandle ProcessHandle (TMVar ExitCode) (IO ())
- class InputSource a where
  - isStdStream :: (Maybe Handle -> IO a, Maybe StdStream)
- class OutputSink a where
  - osStdStream :: (Maybe Handle -> IO a, Maybe StdStream)

# Documentation

data StreamingProcessHandle Source #

Wraps up the standard `ProcessHandle` to avoid the `waitForProcess` deadlock. See the linked documentation from the module header for more information.

Since 0.1.4

Constructors

StreamingProcessHandle ProcessHandle (TMVar ExitCode) (IO ()) |

class InputSource a where Source #

Class for all things which can be used to provide standard input.

Since 0.1.4

Methods

isStdStream :: (Maybe Handle -> IO a, Maybe StdStream) Source #

#### Instances

Instances details

InputSource Handle Source # |
Instance details Defined in Data.Streaming.Process.Internal Methods isStdStream :: (Maybe Handle -> IO Handle, Maybe StdStream) Source #
InputSource ClosedStream Source # |
Instance details Defined in Data.Streaming.Process Methods isStdStream :: (Maybe Handle -> IO ClosedStream, Maybe StdStream) Source #
InputSource Inherited Source # |
Instance details Defined in Data.Streaming.Process Methods isStdStream :: (Maybe Handle -> IO Inherited, Maybe StdStream) Source #
InputSource UseProvidedHandle Source # |
Instance details Defined in Data.Streaming.Process Methods isStdStream :: (Maybe Handle -> IO UseProvidedHandle, Maybe StdStream) Source #

class OutputSink a where Source #

Class for all things which can be used to consume standard output or error.

Since 0.1.4

Methods

osStdStream :: (Maybe Handle -> IO a, Maybe StdStream) Source #

#### Instances

Instances details

OutputSink Handle Source # |
Instance details Defined in Data.Streaming.Process.Internal Methods osStdStream :: (Maybe Handle -> IO Handle, Maybe StdStream) Source #
OutputSink ClosedStream Source # |
Instance details Defined in Data.Streaming.Process Methods osStdStream :: (Maybe Handle -> IO ClosedStream, Maybe StdStream) Source #
OutputSink Inherited Source # |
Instance details Defined in Data.Streaming.Process Methods osStdStream :: (Maybe Handle -> IO Inherited, Maybe StdStream) Source #
OutputSink UseProvidedHandle Source # |
Instance details Defined in Data.Streaming.Process Methods osStdStream :: (Maybe Handle -> IO UseProvidedHandle, Maybe StdStream) Source #